moMenueArtDesignCfg = {};

function moMenueArtDesignCfg:setMouse(self, posX, posY, isDown, isUp, button)	
	if button == Input.MOUSE_BUTTON_LEFT and isDown then		
		if MultiOverlayV2:mouseIsInArea(posX, posY, unpack(moMouseClickAreas.adCfg["save"]))then			
			if not moSetGetGui.cfgMenue.saveArtDesign then
				MultiOverlayV2:saveSettings(self, "clientSettings");			
				moSetGetGui.cfgMenue.saveArtDesign = true;
			end;
			return;
		end;
		if MultiOverlayV2:mouseIsInArea(posX, posY, unpack(moMouseClickAreas.adCfg["default"]))then				
			if moGuiMiniPdaSlots.artDesign then					
				moGuiMiniPdaSlots.artDesign = false;
				moSetGetGui.cfgMenue.saveArtDesign = false;
				moGuiMiniPdaSlots.artDesignName = "";
				moGuiMiniPdaSlots.artDesignFile = "";
				moSetGetArtDesign:loadDefaultArtDesign(self);
				moSetGetGui:refreshAllOverlays(self);
				if moSetGetGui.helpHud.mohHud then moGuiExtras:helpHudDraws(self, true, false, true);end;
			end;
			return;
		end;
		for a=1, 10 do		
			if MultiOverlayV2:mouseIsInArea(posX, posY, unpack(moMouseClickAreas.adCfg[a])) then					
				if a <= table.getn(moGuiMiniPdaSlots.artDesignXml) then							
					if setNewArtDesign(self, a) then moSetGetGui.cfgMenue.saveArtDesign = false;end;
				end;					
				break;
			end;
		end;		
	end;
end;

function setNewArtDesign(self, a)	 
	local newArtDesign = false;
	local splitStringArtDesign = Utils.splitString(" ", moGuiMiniPdaSlots.artDesignFound);
	local splitStringDDS = Utils.splitString(" ", moGuiMiniPdaSlots.artDesignDdsName);	
	if splitStringArtDesign[a] == nil or string.len(splitStringArtDesign[a]) < 1 then return false;end;	
	if splitStringDDS[a] == nil or string.len(splitStringDDS[a]) < 1 then return false;end;	
	if moGuiMiniPdaSlots.artDesign then			
		if string.find(splitStringArtDesign[a], moGuiMiniPdaSlots.artDesignName) then
			moGuiMiniPdaSlots.artDesign = false;		
			moGuiMiniPdaSlots.artDesignName = "";
			moGuiMiniPdaSlots.artDesignFile = "";
			moSetGetArtDesign:loadDefaultArtDesign(self);
			moSetGetGui:refreshAllOverlays(self);
			if moSetGetGui.helpHud.mohHud then 
				moGuiExtras:helpHudDraws(self, true, false, true);
			end;
			return true;
		else
			newArtDesign = true;
		end;
	else		
		newArtDesign = true;
	end;
	if newArtDesign then
		if moGuiMiniPdaSlots.artDesignXml[a] ~= nil then
			local Xml = moGuiMiniPdaSlots.artDesignXml[a];		
			moGuiMiniPdaSlots.artDesign = true;
			moGuiMiniPdaSlots.artDesignName = splitStringArtDesign[a];
			moGuiMiniPdaSlots.artDesignFile = splitStringDDS[a];
			moSetGetArtDesign:loadDefaultArtDesign(self);
			moSetGetArtDesign:loadArtDesign(self, Xml);
			moSetGetGui:refreshAllOverlays(self);
			if moSetGetGui.helpHud.mohHud then 								
				moGuiExtras:helpHudDraws(self, true, false, true);
			end;
			return true;
		end;
	end;
	return false;
end;